body {
  color: #111215;
  background: #ffffff;
  line-height: 1.5;
  font-weight: 400;
  overflow-x: hidden !important;
  font-family: "Poppins", sans-serif;
  transition: all 0.5s;
}

#toggle {
  position: relative;
  height: 20px;
  width: 40px;
  background-color: #ddd;
  border-radius: 30px;
  cursor: pointer;
  transition: all 0.5s;
}

#toggle .indicator {
  position: absolute;
  height: 15px;
  width: 15px;
  top: 3px;
  left: 4px;
  background-color: #000;
  border-radius: 50%;
  transition: all 0.5s;
}

#toggle .change {
  left: 22px;
  background-color: #000;
}

.dark-content {
  color: #fff;
  background-color: #080808;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
  line-height: 1.4;
  font-weight: 500;
}

::-webkit-scrollbar {
  width: 8px;
}

::-webkit-scrollbar-track {
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  border-radius: 10px;
}

::-webkit-scrollbar-thumb {
  background: linear-gradient(to bottom, #12c2e9, #c471ed, #f64f59);
  border-radius: 10px;
}

:focus:not(:focus-visible) {
  outline: 0;
  box-shadow: none;
}

.progress-wrap {
  position: fixed;
  right: 50px;
  bottom: 50px;
  height: 46px;
  width: 46px;
  cursor: pointer;
  display: block;
  border-radius: 50px;
  box-shadow: inset 0 0 0 2px rgba(0, 0, 0, 0.2);
  z-index: 10000;
  opacity: 0;
  visibility: hidden;
  transform: translateY(15px);
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}

.progress-wrap.active-progress {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

.progress-wrap::after {
  position: absolute;
  font-family: "Font Awesome 6 Free";
  font-weight: 900;
  content: '\f106';
  text-align: center;
  line-height: 48px;
  font-size: 20px;
  color: grey;
  left: 0;
  top: 0;
  height: 46px;
  width: 46px;
  cursor: pointer;
  display: block;
  z-index: 1;
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}

.progress-wrap:hover::after {
  color: #12c2e9;
}

.progress-wrap svg path {
  fill: none;
}

.progress-wrap svg.progress-circle path {
  stroke: #12c2e9;
  stroke-width: 4;
  box-sizing: border-box;
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}

figure,
p {
  margin-bottom: 0;
}

.section-header h4 {
  font-weight: 300;
  font-size: 17px;
  text-transform: uppercase;
  letter-spacing: 7px;
  margin-bottom: 10px;
}

.section-header h2 {
  font-size: 48px;
  font-weight: 500;
}

.box {
  text-align: left;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-top: 30px;
  padding: 60px 40px;
  border-radius: 5px;
  border: 1px solid rgba(0, 0, 0, 0.04);
}

.box .icon {
  width: 110px;
  height: 80px;
  font-size: 40px;
  margin-left: 10px;
}

.navbar {
  transition: top 0.3s;
  z-index: 9999;
}

.navbar .navbar-nav .nav-link {
  color: #1B1D21;
  font-size: 12px;
  font-weight: 500;
  padding: 15px 7px;
  margin: 10px 15px;
}

.navbar.animation {
  background-color: #ffffff;
  box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.07);
}

.cm-person {
  min-height: 100vh;
  padding: 100px 0;
  position: relative;
  overflow: hidden;
  top: -84px;
  display: inline-block;
}

.cm-person::after {
  content: "";
  width: 140%;
  background: rgba(0, 0, 0, 0.04);
  height: 100%;
  -webkit-transform: rotate(15deg);
  -ms-transform: rotate(15deg);
  transform: rotate(15deg);
  position: absolute;
  top: -40%;
  left: -20%;
  z-index: -1;
}

.cm-person h1 {
  font-size: 35px;
}

.cm-person #word {
  background: -webkit-gradient(linear, left top, right top, from(#12c2e9), color-stop(#c471ed), to(#f64f59));
  background: -webkit-linear-gradient(left, #12c2e9, #c471ed, #f64f59);
  background: -o-linear-gradient(left, #12c2e9, #c471ed, #f64f59);
  background: linear-gradient(to right, #12c2e9, #c471ed, #f64f59);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.cm-person figure {
  position: relative;
  width: 280px;
  height: 280px;
  border-radius: 50%;
  z-index: 2;
}

.cm-person figure img {
  -o-object-fit: cover;
  object-fit: cover;
  border-radius: 50%;
  max-width: 100%;
  height: 100%;
}

.cm-person figure::after {
  content: "";
  background: -webkit-gradient(linear, right top, left top, from(#12c2e9), color-stop(#c471ed), to(#f64f59));
  background: -webkit-linear-gradient(right, #12c2e9, #c471ed, #f64f59);
  background: -o-linear-gradient(right, #12c2e9, #c471ed, #f64f59);
  background: linear-gradient(to left, #12c2e9, #c471ed, #f64f59);
  position: absolute;
  top: -5px;
  left: -5px;
  right: -5px;
  bottom: -5px;
  border-radius: 50%;
  z-index: -1;
}

.statistics {
  padding-bottom: 50px;
}

.statistics .stats {
  display: flex;
  align-items: center;
  width: 240px;
}

.statistics .stats .count {
  font-size: 50px;
  font-weight: 400;
  margin-right: 20px;
}

.statistics .stats .desc {
  color: #a4a7b1;
  font-size: 12px;
  font-weight: 300;
  line-height: 2;
}

.mail-me span {
  color: #a4a7b1;
  font-size: 12px;
  font-weight: 300;
  line-height: 2;
}

.mail-me a {
  font-size: 14px;
  margin-top: 5px;
  line-height: 1.4;
  font-weight: 500;
  color: #1B1D21;
  text-decoration: none;
}

.mail-me .icon {
  width: 60px;
  height: 60px;
  line-height: 65px;
  text-align: center;
  border-radius: 5px;
  background: -webkit-linear-gradient(323.53deg, #eee 6.69%, rgba(4, 4, 5, 0.1) 85.43%);
  background: -o-linear-gradient(323.53deg, #eee 6.69%, rgba(4, 4, 5, 0.1) 85.43%);
  background: linear-gradient(126.47deg, #eee 6.69%, rgba(4, 4, 5, 0.1) 85.43%);
  font-size: 30px;
}

.linearGradientText {
  background: -webkit-gradient(linear, left top, right top, from(#12c2e9), color-stop(#c471ed), to(#f64f59));
  background: -webkit-linear-gradient(left, #12c2e9, #c471ed, #f64f59);
  background: -o-linear-gradient(left, #12c2e9, #c471ed, #f64f59);
  background: linear-gradient(to right, #12c2e9, #c471ed, #f64f59);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.line {
  position: absolute;
  height: 1px;
  width: 65%;
  background: -webkit-gradient(linear, left top, right top, from(#12c2e9), color-stop(#c471ed), to(#f64f59));
  background: -webkit-linear-gradient(left, #12c2e9, #c471ed, #f64f59);
  background: -o-linear-gradient(left, #12c2e9, #c471ed, #f64f59);
  background: linear-gradient(to right, #12c2e9, #c471ed, #f64f59);
}

.cm-services {
  padding-top: 80px;
  padding-bottom: 120px;
  position: relative;
}

.cm-services .content h6 {
  line-height: 1.8;
  text-transform: capitalize;
  margin-bottom: 10px;
}

.cm-services .content p {
  color: #a4a7b1;
  font-size: 16px;
  font-weight: 300;
  line-height: 2;
  margin: 0;
}

.cm-projects {
  padding-top: 80px;
  padding-bottom: 120px;
  position: relative;
}

.cm-projects .box {
  flex-direction: column;
  align-items: flex-start;
}

.cm-projects h3 {
  font-size: 22px;
  font-weight: 500;
  margin-bottom: 5px;
}

.cm-projects .desc {
  color: #a4a7b1;
  font-size: 13px;
  font-weight: 300;
}

.cm-projects figure {
  margin-block: 20px;
}

.cm-projects .tags span {
  padding: 8px 12px;
  background: rgba(0, 0, 0, 0.04);
  margin-right: 5px;
  font-size: 12px;
}

.cm-projects .project-item.hide {
  display: none;
}

.cm-projects .project-item.show {
  animation: fadeIn 1s ease;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.cm-projects .filter-item {
  color: #1B1D21;
  font-size: 13px;
  letter-spacing: 1px;
  text-transform: uppercase;
  margin: 8px 20px;
  padding-bottom: 10px;
  cursor: pointer;
  position: relative;
}

.cm-projects .filter-item.active {
  color: #12c2e9;
}

.cm-skils {
  --bs-gutter-x: 1.5rem;
  --bs-gutter-y: 0;
  width: 100%;
  padding-right: calc(var(--bs-gutter-x) * 0.5);
  padding-left: calc(var(--bs-gutter-x) * 0.5);
  margin-right: auto;
  margin-left: auto;
}

.cm-skils h2 {
  font-size: 60px;
  font-weight: 600;
  margin-bottom: 30px;
}

.cm-skils h3 {
  font-size: 25px;
  line-height: 1.4;
  font-weight: 500;
  margin-bottom: 15px;
}

.cm-skils p {
  color: #a4a7b1;
  font-size: 16px;
  font-weight: 300;
  line-height: 2;
  margin: 0;
}

.cm-skils .progress-container {
  position: relative;
  margin-top: 50px;
  margin-bottom: 20px;
  display: block;
}

.cm-skils .progress-container .title {
  position: absolute;
  top: -25px;
}

.cm-skils .progress-container, .cm-skils .progress {
  background-color: #eee;
  border-radius: 5px;
  position: relative;
  height: 7px;
  width: 100%;
}

.cm-skils .progress {
  background: -webkit-gradient(linear, left top, right top, from(#12c2e9), color-stop(#c471ed), to(#f64f59));
  background: -webkit-linear-gradient(left, #12c2e9, #c471ed, #f64f59);
  background: -o-linear-gradient(left, #12c2e9, #c471ed, #f64f59);
  background: linear-gradient(to right, #12c2e9, #c471ed, #f64f59);
  -webkit-transition: all 1.5s;
  -o-transition: all 1.5s;
  transition: all 1.5s;
  width: 0;
  transition: width 0.4s linear;
}

.cm-skils .percentage {
  background: #1D1E21;
  border-radius: 5px;
  box-shadow: 0 4px 5px rgba(0, 0, 0, 0.2);
  color: #fff;
  font-size: 12px;
  padding: 4px;
  position: absolute;
  top: 20px;
  left: 0;
  transform: translateX(-50%);
  width: 40px;
  text-align: center;
  transition: left 0.4s linear;
}

.cm-skils .percentage::after {
  background: #1D1E21;
  content: '';
  position: absolute;
  top: -5px;
  left: 50%;
  transform: translateX(-50%) rotate(45deg);
  height: 10px;
  width: 10px;
  z-index: -1;
}

.cm-skils .progressbar-active {
  animation-name: progress;
  animation-duration: 1s;
  animation-fill-mode: forwards;
  animation-delay: 0.4s;
}

@keyframes progress {
  0% {
    width: 0;
  }
  100% {
    width: 100%;
  }
}

.contact-form {
  padding-top: 80px;
  padding-bottom: 120px;
}

.contact-form input,
.contact-form textarea {
  width: 100%;
  padding: 15px 0;
  border: 0;
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  background: transparent;
  color: #fff;
  border-radius: 0;
}

.contact-form input:focus,
.contact-form textarea:focus {
  background: transparent;
  color: #fff;
  box-shadow: none;
}

.contact-form button {
  background: #111;
  color: #fff;
  padding: 15px 35px;
  font-size: 13px;
  border-color: transparent;
  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  transition: all 0.4s;
}

.contact-form button:hover, .contact-form button:focus, .contact-form button:active {
  background: #fff !important;
  color: #333 !important;
  outline-offset: -4px;
  outline: 2px solid #333;
}

footer {
  background: rgba(0, 0, 0, 0.04);
  padding: 100px 0;
}

footer .title {
  line-height: 1.4;
  font-weight: 500;
  color: #1B1D21;
  font-size: 25px;
  margin-bottom: 20px;
}

footer ul {
  padding-left: 0;
}

footer ul li {
  list-style: none;
  display: flex;
  align-items: center;
  margin-bottom: 30px;
}

footer ul li i {
  font-size: 30px;
  margin-right: 30px;
  width: 30px;
  text-align: center;
}

footer ul li span {
  color: #a4a7b1;
  font-size: 16px;
  font-weight: 300;
  line-height: 2;
}

footer ul li span strong {
  width: 100%;
  display: flex;
  font-size: 14px;
  font-weight: 600;
  color: #1B1D21;
}

footer .social-media a {
  width: 60px;
  height: 60px;
  line-height: 60px;
  text-align: center;
  border-radius: 50%;
  border: 1px solid rgba(0, 0, 0, 0.1);
  font-size: 13px;
  margin-right: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  color: #1B1D21;
  float: left;
}

footer .copyright {
  font-size: 13px;
  font-weight: 300;
  text-transform: uppercase;
  letter-spacing: 3px;
  color: #a4a7b1;
  display: inline-block;
  width: 100%;
  margin-top: 30px;
}

footer .copyright a {
  color: #12c2e9;
  text-decoration: none;
}

footer figure {
  position: relative;
  width: 180px;
  height: 180px;
  border-radius: 50%;
  z-index: 2;
}

footer figure:after {
  content: "";
  background: linear-gradient(to left, #12c2e9, #c471ed, #f64f59);
  position: absolute;
  top: -5px;
  left: -5px;
  right: -5px;
  bottom: -5px;
  border-radius: 50%;
  z-index: -1;
}

footer figure img {
  object-fit: cover;
  border-radius: 50%;
  max-width: 100%;
  height: 100%;
}

@media (max-width: 992px) {
  body {
    padding-top: 60px;
  }
  button.navbar-toggler {
    border: 0 !important;
  }
  button .hamburger-lines {
    display: block;
    height: 23px;
    width: 28px;
    z-index: 2;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }
  button .hamburger-lines .line {
    position: relative;
    display: block;
    height: 2px;
    width: 100%;
    border-radius: 2px;
    background: #333;
  }
  button .hamburger-lines .line1 {
    transition: transform 0.4s ease-in-out;
  }
  button .hamburger-lines .line2 {
    transition: transform 0.2s ease-in-out;
  }
  button .hamburger-lines .line3 {
    transition: transform 0.4s ease-in-out;
  }
  button.navbar-toggler[aria-expanded=true] .hamburger-lines .line1 {
    transform: rotate(-45deg);
    top: 10px;
  }
  button.navbar-toggler[aria-expanded=true] .hamburger-lines .line2 {
    transform: scaleY(0);
  }
  button.navbar-toggler[aria-expanded=true] .hamburger-lines .line3 {
    transform: rotate(45deg);
    top: -11px;
  }
  .navbar {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
  }
  .navbar {
    background-color: #fff;
  }
  .navbar .navbar-brand {
    margin-right: 0 !important;
  }
  .navbar .navbar-nav .nav-item {
    border-bottom: 1px solid #ddd;
  }
  .navbar .navbar-nav .nav-item:first-child {
    border-top: 1px solid #ddd;
  }
  .navbar .navbar-nav .nav-item:last-child {
    border-bottom: 0;
  }
  .navbar .navbar-nav .nav-item .nav-link {
    padding: 0;
    text-align: center;
  }
  .navbar .navbar-toggler {
    background-image: none;
  }
  .cm-person {
    min-height: auto;
    padding: 20px 0;
    position: relative;
    overflow: hidden;
    top: 0;
  }
  .cm-person h1 {
    font-size: 30px;
    padding: 50px 0;
  }
  .cm-person .statistics .mail-me p {
    width: 200px;
  }
  .cm-person .statistics.position-absolute {
    position: relative !important;
    margin-top: 50px;
  }
  .cm-services .box {
    padding: 6% 10%;
    text-align: center;
    justify-content: center;
    flex-direction: column;
  }
}

.section-header h2 {
  font-size: 36px;
  font-weight: 400;
}
